tzrule.h File Reference

C++ API: Time zone rule classes. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/unistr.h"`
`#include "unicode/dtrule.h"`

Go to the source code of this file.

## Data Structures

class | icu::TimeZoneRule
| `TimeZoneRule` is a class representing a rule for time zone. More...
class | icu::InitialTimeZoneRule
| `InitialTimeZoneRule` represents a time zone rule representing a time zone effective from the beginning and has no actual start times. More...
class | icu::AnnualTimeZoneRule
| `AnnualTimeZoneRule` is a class used for representing a time zone rule which takes effect annually. More...
class | icu::TimeArrayTimeZoneRule
| `TimeArrayTimeZoneRule` represents a time zone rule whose start times are defined by an array of milliseconds since the standard base time. More...

## Namespaces

| icu
| File coll.h.

## Detailed Description

C++ API: Time zone rule classes.

Definition in file tzrule.h.